Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jul 06 2021 01:45
    yiye93 opened #532
  • Jan 16 2021 11:05
    adamstafa commented #287
  • Dec 13 2020 06:19
    vishalsingha edited #531
  • Dec 13 2020 06:18
    vishalsingha opened #531
  • Nov 21 2020 14:51
    pankajsinghchamyal opened #530
  • Oct 09 2020 19:27
    vs74 closed #527
  • Oct 09 2020 19:27
    vs74 commented #527
  • Oct 04 2020 15:27
    LuckyPigeon commented #527
  • Oct 04 2020 15:26
    LuckyPigeon commented #527
  • Sep 23 2020 15:08
    AshwinB-hat commented #249
  • Aug 11 2020 22:50
    agbiotec opened #529
  • Jul 18 2020 00:46
    hrs2203 opened #528
  • Jun 09 2020 23:30
    rpalakkal closed #478
  • May 14 2020 15:54
    nikochiko closed #516
  • Jan 26 2020 11:44
    pranjaldatta commented #527
  • Jan 08 2020 04:59
    AnalystAbhishek commented #391
  • Dec 30 2019 09:34
    Mayukhdeb commented #391
  • Dec 27 2019 17:30
    diningPhilosopher64 commented #510
  • Dec 24 2019 15:24
    diningPhilosopher64 commented #510
  • Dec 24 2019 14:57
    diningPhilosopher64 commented #516
Ajitesh Singh
@ajitesh-30
Is there any contributing guide for contributing to Fabrik .
Ram Ramrakhya
@Ram81
@ajitesh-30 you can refer our README.md to setup dev environment and for the guidelines you can refer EvalAI guidelines
varun khare
@vkkhare
hi @Ram81 Is it necessary to use the same caffe version as specified in install_caffe_and_tensorflow.sh? I am facing caffe build issues because of openCV 4.1.0 The PR hasnt been accepted at caffe yet BVLC/caffe#6625
varun khare
@vkkhare
openCV 4.1.0 opencv 4.0.1
varun khare
@vkkhare

I did the changes specified in PR and built the caffe but I guess these should be specified. The instructions do no specify openCV version. Similarly I ran into few issues with psycopg2. It has needs to be upgraded to 2.8.3 for me atleast

hi @Ram81 Is it necessary to use the same caffe version as specified in install_caffe_and_tensorflow.sh? I am facing caffe build issues because of openCV 4.1.0 The PR hasnt been accepted at caffe yet BVLC/caffe#6625

Ram Ramrakhya
@Ram81
@vkkhare you can use some other version for caffe, we've given example for the one mentioned in the install_caffe_and_tensorflow.sh
varun khare
@vkkhare
i am able to run properly but was thinking to add the script for arch linux in the mean time I understand keras_app if this is required. The current instructions are sufficient though and only differ at few locations
varun khare
@vkkhare
@Ram81 I have gone through keras_app and got the overall structure i guess. Please correct me if I am wrong somewhere:
  • layers_export.py contains all the descriptions of the layers and their initializations according to the params
  • layers_import.py mostly contains the layer descriptions as json object which I guess is later transferred to layer_export.py for keras code conversion
  • import_json gets keras model from json response from django generates a dictionary net using layer_map and supporting params
  • export_json exports json into keras model and saves it with a randomId
let me know how to proceed further
Shashank jain
@Shashankjain12
hello guys I have been looking to be a part of cloudcv organisation can anyone guide me through it.. :)
varun khare
@vkkhare
Hi anyone there?
Kaustubh Maske Patil
@nikochiko
Hey. I need some help with the installation process on virtualenv.
I am getting this error while trying to run python manage.py makemigrations caffe_app
Using Dev settings
Using TensorFlow backend.
Traceback (most recent call last):
File "manage.py", line 10, in <module>
execute_from_command_line(sys.argv)
File "/root/Fabrik/local/lib/python2.7/site-packages/django/core/management/init.py", line 367, in execute_from_command_line
utility.execute()
..... ||| code omitted here ||| .....
conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
django.db.utils.OperationalError: FATAL: password authentication failed for user "postgres"
Kaustubh Maske Patil
@nikochiko
Getting same error in Ubuntu 16.04. Hey is there anything I missed while configuration?
Kaustubh Maske Patil
@nikochiko
Okay, I got it. There needs to be an additional step in the instructions to edit settings/dev.py . The NAME parameter to 'admin' and PASSWORD parameter to 'fabrik'
Kaustubh Maske Patil
@nikochiko
Can I get any help with this error:[2019-11-02 09:45:27,451: ERROR/MainProcess] consumer: Cannot connect to redis://localhost:6379/0: . Trying again in 2.00 seconds...
Suryansh5545
@Suryansh5545
I might be better to report on github for help instead
Moulik Aggarwal
@moulikcipherX
Hi, My name is Moulik Aggarwal and I have participated in GSoC'19 under the Salesforce Organisation and I want to part of GCI by mentoring new students to open source.
Prakhar Srivastava
@prakharcode
Hi, I like the idea of Fabrik and want to contribute and build BE for pytorch, I saw a branch related to that, I just want to know the overall process and are there any contribution guidelines?
Ram Ramrakhya
@Ram81
Hi @prakharcode , you can start by setting up the development environment on your local machine. If you want to pickup a issue please mention that on the issues page and get started on it.
Prakhar Srivastava
@prakharcode
Thanks @Ram81 would begin :)
Shashank jain
@Shashankjain12
hey guys i am new to open source contributions can anyone suggest from where i can begin my open source for gsoc?
Vasudev Sharma
@vs74
@RishabhJain2018 , Just want to know is Fabrik part of GCI'19 ?
Rishabh Jain
@RishabhJain2018
Hi @vs74 No, Fabrik isn't the part of GCI'19.
Sourabh Kondapaka
@diningPhilosopher64
@RishabhJain2018 sir, [#512][https://github.com/Cloud-CV/Fabrik/issues/512#issue-409793337] , what to do about this ?
Mayukh Deb
@Mayukhdeb
Screenshot from 2019-12-28 12-56-52.png
hi, I was trying to build and run fabrik when I got this error after I ran python2 manage.py runserver , how can I fix this ?
Suryansh5545
@Suryansh5545
did you try python only?
Kaustubh Maske Patil
@nikochiko
Suryansh5545
@Suryansh5545
and also do you have django installed?
use this command
$ python -m pip install Django
it should install all the required django modules
Mayukh Deb
@Mayukhdeb

$ python -m pip install Django

didn't work, shows the same error

Suryansh5545
@Suryansh5545
use this command please pip -V
and tell what is the result?
Mayukh Deb
@Mayukhdeb
Screenshot from 2019-12-28 13-04-54.png
@Suryansh5545 , I get another error now when using python
Suryansh5545
@Suryansh5545
have you setup the virtual environment to run first?
Mayukh Deb
@Mayukhdeb
Screenshot from 2019-12-28 13-07-27.png
@Suryansh5545 , here's the result
Suryansh5545
@Suryansh5545
ok
but have you set up the venv
virtual environmet
Mayukh Deb
@Mayukhdeb
@Suryansh5545 , I think that's where I went wrong , do I need to build again after setting up the virtual environment ?
Suryansh5545
@Suryansh5545
as i can see you are using base
yes
Mayukh Deb
@Mayukhdeb
okay thanks for the help
Suryansh5545
@Suryansh5545
Welcome